%% -------------------------Input parameters-------------------------------
% -------------------------------------------------------------------------

%---------------------------Surroundings-----------------------------------
% surrounding temperature (celsius)
surtemp = 15;

%---------------------------Shunt------------------------------------------
% theoretical regulation ratio - regulation port (Pa)
r_rp = 100;
% theoretical regulation ratio - shunt port (Pa)
r_sp = 100;
% differential pressure - regulation port (Pa)
dp_rp = 1736;
% differential pressure - shunt port (Pa)
dp_sp = 1736;
% differential pressure - pipe to shunt (Pa)
dp_r = 300;
% differential pressure - shunt pipe (Pa)
dp_s = 150;

%---------------------------Heating coil-----------------------------------
% weight exclusive water content (kg)
m_hc = 28;
% water content (m^3)
w_hc = 0.002;
% water flow throgh the heating coil (m^3/s)
qw_hc = 0.000205;
% air content (m^3)
a_hc = 0.5;
% air flow throgh the heating coil (m^3/s)
qa_hc = 0.857;
% water temperature into the heating coil (celcius)
twi_hc = 80;
% air temperature into the heating coil (celcius)
tai_hc = 5;
% air temperature from the heating coil (celcius)
tao_hc = 18;
% heating coil material (1=Alu/Cu, 2=Cu/Cu)
material_hc = 1;

%---------------------------Heat recovery unit-----------------------------
% weight heat recovery unit
m_hru = 28;
%air speed through the heat recovery unit
va_hru = 0.857;
%specific heat capacity heat recovery unit
cp_hru = 900; %alumnium
% heat recovery unit efficiency
eta = 0.75;

%---------------------------Fan--------------------------------------------
%time constant fan
T_fan = 30;
%temperature rise over fan in celsius
dt_fan = 1.5;

%--------------------------Pipe 1------------------------------------------
%Outer diameter (m)
do_p1 = 0.0269;
%Inner diameter (m)
di_p1 = 0.0217;
%Pipe length (m)
l_p1 = 5;
%Pipe isolation thickness (m)
insulation_p1 = 0;

%--------------------------Duct 1------------------------------------------
%Outer diameter (m)
do_d1 = 0.7;
%Inner diameter (m)
di_d1 = 0.69;
%Duct length (m)
l_d1 = 5;
%Duct isolation thickness (m)
insulation_d1 = 0.1;

%--------------------------Duct 2------------------------------------------
%Outer diameter (m)
do_d2 = 0.2;
%Inner diameter (m)
di_d2 = 0.19;
%Duct length (m)
l_d2 = 25;
%Duct isolation thickness (m)
insulation_d2 = 0.1;

