function K_MPC = kmpc(u)

%% objective weight matrices
Q_mpc = 1.0;
R_mpc = 100.0;
Q_mat_mpc = eye(H_p)*Q_mpc;
R_mat_mpc = eye(H_p)*R_mpc;


%% Calculation of deltaU

% Alternative 1
% H = Theta'*Q_mat*Theta + R_mat;
% K_MPC = [1, zeros(1,H_p - 1)]*inv(H)*(Theta)'*Q_mat;

% Alternative 2 (best alternative, no problem even if Theta is ill-conditioned)
Sq = chol(Q_mat_mpc) %squareroot of Q_mat
Sr = chol(R_mat_mpc) %squareroot of R_mat
  
Kfull = [Sq*Theta; Sr]\[Sq; zeros(H_p,H_p)]
K_MPC = Kfull(1:l,:)
