%% Cardinal points and the definition of length, width and the different walls
%
%           North
%            /\
%            ||
%            ||
%   West<----  ---->East
%            ||
%            ||
%            \/
%           South

%wallN = "north wall"
%wallE = "east wall"
%wallS = "south wall"
%wallW = "west wall"
%wallNE = "northeast wall"
%wallNW = "northwest wall"
%wallSE = "southeast wall"
%wallSW = "southwest wall"

%length = west<->east
%width = north<->south


%% ---------------------classroom 133--------------------------------------
%--Room dimensions--
k133_length = 8.325;
k133_width = 7.125;
k133_heigth = room_height;

k133_window_area = (1.32*1.4)+(0.8*1.4)+(0.87*0.36)+(0.87*0.71)+(0.87*0.36)+(0.87*0.71)+(0.87*0.36)+(0.87*0.71)+(0.87*0.36)+(0.8*1.4)+(1.32*1.4);
k133_wallN_area = (room_height*k133_length)-k133_window_area;
k133_wallE_area = room_height*k133_width;
k133_wallS_area = room_height*k133_length;
k133_wallW_area = room_height*k133_width;
k133_floor_area = k133_length*k133_width;
k133_ceiling_area = k133_floor_area;

k133_room_volume = room_height*k133_floor_area;
k133_wallN_volume = k133_wallN_area*depth_external_wall;
k133_wallE_volume = k133_wallE_area*depth_internal_wall;
k133_wallS_volume = k133_wallS_area*depth_internal_wall;
k133_wallW_volume = k133_wallW_area*depth_external_wall;
k133_floor_volume = k133_floor_area*depth_floor;
k133_ceiling_volume = k133_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k133_RoN = 1/(U_external_wall*k133_wallN_area);
k133_RoW = 1/(U_external_wall*k133_wallW_area);
k133_RoS = 1/(U_external_wall*k133_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k133_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k133_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k133_RiW = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k133_wallW_area);
k133_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k133_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k133_RinternalE = 1/(2*U_internal_wall*k133_wallE_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k133_Rconv_wallN_air = 1/(htc_wallair*k133_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k133_Rconv_wallE_air = 1/(htc_wallair*k133_wallE_area);
k133_Rconv_wallS_air = 1/(htc_wallair*k133_wallS_area);
k133_Rconv_wallW_air = 1/(htc_wallair*k133_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k133_Rfloor = 1/(U_floor*k133_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k133_Roceiling = 1/(U_external_ceiling*k133_ceiling_area);
k133_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k133_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k133_Rconv_ceiling_air = 1/(htc_ceilingair*k133_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k133_Rconv_window_air = 1/(htc_windowair*k133_window_area);
% Radiation resistance wall-window
k133_Rradiation_window_wall = 1/(htc_windowwall*k133_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k133_Rwindow = 1/(U_window*k133_window_area)-1/(1/k133_Rconv_window_air+1/k133_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k133_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k133_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k133_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k133_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k133_number_of_radiators = 4;
k133_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k133_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k133_Rprod = (60-20)/(Radiator_heat_effect*k133_number_of_radiators);
k133_Rconv_radiator = k133_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k133_Ca = k133_room_volume*rho_air*cp_air;
% capasitance of the walls
k133_CwN = k133_wallN_volume*rho_external_wall*cp_external_wall;
k133_CwE = k133_wallE_volume*rho_internal_wall*cp_internal_wall;
k133_CwS = k133_wallS_volume*rho_external_wall*cp_external_wall;
k133_CwW = k133_wallW_volume*rho_external_wall*cp_external_wall;
% capasitance of the floor
k133_Cf = k133_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k133_Cc = k133_ceiling_volume*rho_ceiling*cp_ceiling;
%--------------------------------------------------------------------------

%% ---------------------classroom 134--------------------------------------
%--Room dimensions--
k134_length = 4.650;
k134_width = 7.125;
k134_heigth = room_height;

k134_window_area = (1.32*1.4)+(0.8*1.4)+(2.29*0.71);
k134_wallN_area = (room_height*k134_length)-k134_window_area;
k134_wallE_area = room_height*k134_width;
k134_wallS_area = room_height*k134_length;
k134_wallW_area = room_height*k134_width;
k134_floor_area = k134_length*k134_width;
k134_ceiling_area = k134_floor_area;

k134_room_volume = room_height*k134_floor_area;
k134_wallN_volume = k134_wallN_area*depth_external_wall;
k134_wallE_volume = k134_wallE_area*depth_internal_wall;
k134_wallS_volume = k134_wallS_area*depth_internal_wall;
k134_wallW_volume = k134_wallW_area*depth_internal_wall;
k134_floor_volume = k134_floor_area*depth_floor;
k134_ceiling_volume = k134_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k134_RoN = 1/(U_external_wall*k134_wallN_area);
k134_RoS = 1/(U_external_wall*k134_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k134_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k134_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k134_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k134_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k134_RinternalE = 1/(2*U_internal_wall*k134_wallE_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
k134_RinternalW = 1/(2*U_internal_wall*k134_wallW_area);
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k134_Rconv_wallN_air = 1/(htc_wallair*k134_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k134_Rconv_wallE_air = 1/(htc_wallair*k134_wallE_area);
k134_Rconv_wallS_air = 1/(htc_wallair*k134_wallS_area);
k134_Rconv_wallW_air = 1/(htc_wallair*k134_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k134_Rfloor = 1/(U_floor*k134_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k134_Roceiling = 1/(U_external_ceiling*k134_ceiling_area);
k134_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k134_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k134_Rconv_ceiling_air = 1/(htc_ceilingair*k134_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k134_Rconv_window_air = 1/(htc_windowair*k134_window_area);
% Radiation resistance wall-window
k134_Rradiation_window_wall = 1/(htc_windowwall*k134_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k134_Rwindow = 1/(U_window*k134_window_area)-1/(1/k134_Rconv_window_air+1/k134_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k134_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k134_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k134_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k134_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k134_number_of_radiators = 2;
k134_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k134_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k134_Rprod = (60-20)/(Radiator_heat_effect*k134_number_of_radiators);
k134_Rconv_radiator = k134_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k134_Ca = k134_room_volume*rho_air*cp_air;
% capasitance of the walls
k134_CwN = k134_wallN_volume*rho_external_wall*cp_external_wall;
k134_CwE = k134_wallE_volume*rho_internal_wall*cp_internal_wall;
k134_CwS = k134_wallS_volume*rho_external_wall*cp_external_wall;
k134_CwW = k134_wallW_volume*rho_internal_wall*cp_internal_wall;
% capasitance of the floor
k134_Cf = k134_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k134_Cc = k134_ceiling_volume*rho_ceiling*cp_ceiling;
%--------------------------------------------------------------------------

%% ---------------------classroom 135--------------------------------------
%--Room dimensions--
k135_length = 4.650;
k135_width = 7.125;
k135_heigth = room_height;

k135_window_area = (2.29*0.71)+(0.8*1.4)+(1.32*1.4);
k135_wallN_area = (room_height*k135_length)-k135_window_area;
k135_wallE_area = room_height*k135_width;
k135_wallS_area = room_height*k135_length;
k135_wallW_area = room_height*k135_width;
k135_floor_area = k135_length*k135_width;
k135_ceiling_area = k135_floor_area;

k135_room_volume = room_height*k135_floor_area;
k135_wallN_volume = k135_wallN_area*depth_external_wall;
k135_wallE_volume = k135_wallE_area*depth_internal_wall;
k135_wallS_volume = k135_wallS_area*depth_internal_wall;
k135_wallW_volume = k135_wallW_area*depth_internal_wall;
k135_floor_volume = k135_floor_area*depth_floor;
k135_ceiling_volume = k135_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k135_RoN = 1/(U_external_wall*k135_wallN_area);
k135_RoS = 1/(U_external_wall*k135_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k135_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k135_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k135_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k135_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k135_RinternalW = 1/(2*U_internal_wall*k135_wallW_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
k135_RinternalE = 1/(2*U_internal_wall*k135_wallW_area); 
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k135_Rconv_wallN_air = 1/(htc_wallair*k135_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k135_Rconv_wallE_air = 1/(htc_wallair*k135_wallE_area);
k135_Rconv_wallS_air = 1/(htc_wallair*k135_wallS_area);
k135_Rconv_wallW_air = 1/(htc_wallair*k135_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k135_Rfloor = 1/(U_floor*k135_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k135_Roceiling = 1/(U_external_ceiling*k135_ceiling_area);
k135_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k135_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k135_Rconv_ceiling_air = 1/(htc_ceilingair*k135_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k135_Rconv_window_air = 1/(htc_windowair*k135_window_area);
% Radiation resistance wall-window
k135_Rradiation_window_wall = 1/(htc_windowwall*k135_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k135_Rwindow = 1/(U_window*k135_window_area)-1/(1/k135_Rconv_window_air+1/k135_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k135_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k135_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k135_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k135_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k135_number_of_radiators = 2;
k135_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k135_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k135_Rprod = (60-20)/(Radiator_heat_effect*k135_number_of_radiators);
k135_Rconv_radiator = k135_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k135_Ca = k135_room_volume*rho_air*cp_air;
% capasitance of the walls
k135_CwN = k135_wallN_volume*rho_external_wall*cp_external_wall;
k135_CwE = k135_wallE_volume*rho_internal_wall*cp_internal_wall;
k135_CwS = k135_wallS_volume*rho_external_wall*cp_external_wall;
k135_CwW = k135_wallW_volume*rho_internal_wall*cp_internal_wall;
% capasitance of the floor
k135_Cf = k135_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k135_Cc = k135_ceiling_volume*rho_ceiling*cp_ceiling;

%% ---------------------classroom 136--------------------------------------
%--Room dimensions--
k136_length = 8.250;
k136_width = 7.125;
k136_heigth = room_height;

k136_window_area = (1.32*1.4)+(0.8*1.4)+(0.87*0.36)+(0.87*0.71)+(0.87*0.36)+(0.87*0.71)+(0.87*0.36)+(0.87*0.36)+(0.8*1.4)+(1.32*1.4);
k136_wallN_area = (room_height*k136_length)-k136_window_area;
k136_wallE_area = room_height*k136_width;
k136_wallS_area = room_height*k136_length;
k136_wallW_area = room_height*k136_width;
k136_floor_area = k136_length*k136_width;
k136_ceiling_area = k136_floor_area;

k136_room_volume = room_height*k136_floor_area;
k136_wallN_volume = k136_wallN_area*depth_external_wall;
k136_wallE_volume = k136_wallE_area*depth_internal_wall;
k136_wallS_volume = k136_wallS_area*depth_internal_wall;
k136_wallW_volume = k136_wallW_area*depth_internal_wall;
k136_floor_volume = k136_floor_area*depth_floor;
k136_ceiling_volume = k136_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k136_RoN = 1/(U_external_wall*k136_wallN_area);
k136_RoS = 1/(U_external_wall*k136_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k136_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k136_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k136_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k136_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k136_RinternalW = 1/(2*U_internal_wall*k136_wallW_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
k136_RinternalE = 1/(2*U_internal_wall*k136_wallE_area);
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k136_Rconv_wallN_air = 1/(htc_wallair*k136_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k136_Rconv_wallE_air = 1/(htc_wallair*k136_wallE_area);
k136_Rconv_wallS_air = 1/(htc_wallair*k136_wallS_area);
k136_Rconv_wallW_air = 1/(htc_wallair*k136_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k136_Rfloor = 1/(U_floor*k136_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k136_Roceiling = 1/(U_external_ceiling*k136_ceiling_area);
k136_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k136_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k136_Rconv_ceiling_air = 1/(htc_ceilingair*k136_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k136_Rconv_window_air = 1/(htc_windowair*k136_window_area);
% Radiation resistance wall-window
k136_Rradiation_window_wall = 1/(htc_windowwall*k136_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k136_Rwindow = 1/(U_window*k136_window_area)-1/(1/k136_Rconv_window_air+1/k136_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k136_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k136_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k136_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k136_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k136_number_of_radiators = 4;
k136_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k136_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k136_Rprod = (60-20)/(Radiator_heat_effect*k136_number_of_radiators);
k136_Rconv_radiator = k136_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k136_Ca = k136_room_volume*rho_air*cp_air;
% capasitance of the walls
k136_CwN = k136_wallN_volume*rho_external_wall*cp_external_wall;
k136_CwE = k136_wallE_volume*rho_internal_wall*cp_internal_wall;
k136_CwS = k136_wallS_volume*rho_external_wall*cp_external_wall;
k136_CwW = k136_wallW_volume*rho_internal_wall*cp_internal_wall;
% capasitance of the floor
k136_Cf = k136_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k136_Cc = k136_ceiling_volume*rho_ceiling*cp_ceiling;
%--------------------------------------------------------------------------


%% ---------------------classroom 143--------------------------------------
%--Room dimensions--
k143_lengthN = 9.748;
k143_lengthS = 8.572;
k143_width = 7.125;
k143_heigth = room_height;

k143_window_area = (1.32*1.4)+(0.8*1.4)+(0.8*1.4)+(2.09*1.4)+(2.09*1.4)+(0.8*1.4);
k143_wallN_area = (room_height*k143_lengthN)-k143_window_area;
k143_wallE_area = room_height*k143_width;
k143_wallS_area = room_height*k143_lengthS;
k143_wallW_area = room_height*k143_width;
k143_floor_area = 64.8;
k143_ceiling_area = k143_floor_area;

k143_room_volume = room_height*k143_floor_area;
k143_wallN_volume = k143_wallN_area*depth_external_wall;
k143_wallE_volume = k143_wallE_area*depth_internal_wall;
k143_wallS_volume = k143_wallS_area*depth_internal_wall;
k143_wallW_volume = k143_wallW_area*depth_internal_wall;
k143_floor_volume = k143_floor_area*depth_floor;
k143_ceiling_volume = k143_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k143_RoN = 1/(U_external_wall*k143_wallN_area);
k143_RoS = 1/(U_external_wall*k143_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k143_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k143_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k143_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k143_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k143_RinternalW = 1/(2*U_internal_wall*k143_wallW_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
k143_RinternalE = 1/(2*U_internal_wall*k143_wallE_area);
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k143_Rconv_wallN_air = 1/(htc_wallair*k143_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k143_Rconv_wallE_air = 1/(htc_wallair*k143_wallE_area);
k143_Rconv_wallS_air = 1/(htc_wallair*k143_wallS_area);
k143_Rconv_wallW_air = 1/(htc_wallair*k143_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k143_Rfloor = 1/(U_floor*k143_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k143_Roceiling = 1/(U_external_ceiling*k143_ceiling_area);
k143_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k143_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k143_Rconv_ceiling_air = 1/(htc_ceilingair*k143_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k143_Rconv_window_air = 1/(htc_windowair*k143_window_area);
% Radiation resistance wall-window
k143_Rradiation_window_wall = 1/(htc_windowwall*k143_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k143_Rwindow = 1/(U_window*k143_window_area)-1/(1/k143_Rconv_window_air+1/k143_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k143_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k143_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k143_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k143_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k143_number_of_radiators = 3;
k143_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k143_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k143_Rprod = (60-20)/(Radiator_heat_effect*k143_number_of_radiators);
k143_Rconv_radiator = k143_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k143_Ca = k143_room_volume*rho_air*cp_air;
% capasitance of the walls
k143_CwN = k143_wallN_volume*rho_external_wall*cp_external_wall;
k143_CwE = k143_wallE_volume*rho_internal_wall*cp_internal_wall;
k143_CwS = k143_wallS_volume*rho_external_wall*cp_external_wall;
k143_CwW = k143_wallW_volume*rho_internal_wall*cp_internal_wall;
% capasitance of the floor
k143_Cf = k143_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k143_Cc = k143_ceiling_volume*rho_ceiling*cp_ceiling;
%--------------------------------------------------------------------------


%% ---------------------classroom 164--------------------------------------
%--Room dimensions--
k164_length = 4.750;
k164_width = 7.125;
k164_heigth = room_height;

k164_window_area = (0.8*1.4)+(1.32*1.4)+(1.32*1.4)+(0.8*1.4);
k164_wallN_area = (room_height*k164_length)-k164_window_area;
k164_wallE_area = room_height*k164_width;
k164_wallS_area = room_height*k164_length;
k164_wallW_area = room_height*k164_width;
k164_floor_area = k164_length*k164_width;
k164_ceiling_area = k164_floor_area;

k164_room_volume = room_height*k164_floor_area;
k164_wallN_volume = k164_wallN_area*depth_external_wall;
k164_wallE_volume = k164_wallE_area*depth_internal_wall;
k164_wallS_volume = k164_wallS_area*depth_internal_wall;
k164_wallW_volume = k164_wallW_area*depth_internal_wall;
k164_floor_volume = k164_floor_area*depth_floor;
k164_ceiling_volume = k164_ceiling_area*depth_external_ceiling;

%--Calculation resistances (resistance the heat must go through to pass through a material)--
% xxxx_Roy = outer thermal transmittance of external wall y in room xxxx
k164_RoN = 1/(U_external_wall*k164_wallN_area);
k164_RoE = 1/(U_external_wall*k164_wallE_area);
k164_RoS = 1/(U_external_wall*k164_wallS_area);
% xxxx_Riy = inner thermal transmittance of external wall y in room xxxx
k164_RiN = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k164_wallN_area); %1/(inner_wall_U*k133_wallN_area);
k164_RiE = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k164_wallE_area);
k164_RiS = ((depth_external_wall/(2*lambda_external_wall))+(depth_wall_sheathing/(2*lambda_wall_sheathing)))*(1/k164_wallS_area);
% xxxx_Rinternal_wallx = thermal transmittance of internal wall in room xxxx
k164_RinternalW = 1/(2*U_internal_wall*k164_wallW_area); %internal_wall_U is multiplied by 2 since only half of the wall thickness is to be considered
% xxxx_Rconv_wallx_air = convective resistance between wall n and the air in room xxxx
k164_Rconv_wallN_air = 1/(htc_wallair*k164_wallN_area); %htc_wallair=convective heat tranfer factor between wallsurface and air
k164_Rconv_wallE_air = 1/(htc_wallair*k164_wallE_area);
k164_Rconv_wallS_air = 1/(htc_wallair*k164_wallS_area);
k164_Rconv_wallW_air = 1/(htc_wallair*k164_wallW_area);
% xxxx_Rfloor = floor thermal transmittance in room xxxx
k164_Rfloor = 1/(U_floor*k164_floor_area);
% xxxx_Rceiling = ceiling thermal transmittance in room xxxx
k164_Roceiling = 1/(U_external_ceiling*k164_ceiling_area);
k164_Riceiling = ((depth_external_ceiling/(2*lambda_external_ceiling))+(depth_ceiling_sheathing/(2*lambda_ceiling_sheathing)))*(1/k164_ceiling_area);
% xxxx_Rconv_ceiling_air = convective resistance between wall n and the air in room xxxx
k164_Rconv_ceiling_air = 1/(htc_ceilingair*k164_ceiling_area); %htc_ceilingair=convective heat tranfer factor between ceiling surface and air
% xxxx_Rconv_window_air = window-air heat convection resistance
k164_Rconv_window_air = 1/(htc_windowair*k164_window_area);
% Radiation resistance wall-window
k164_Rradiation_window_wall = 1/(htc_windowwall*k164_window_area);
% xxxx_Rwindow = window thermal transmittance in room xxxx
k164_Rwindow = 1/(U_window*k164_window_area)-1/(1/k164_Rconv_window_air+1/k164_Rradiation_window_wall);
% Calculation of infiltration (air leakage through the walls, ceiling and floor) resistance
mass_dot_infiltration = (k164_room_volume*rho_air*ACH_infiltration)/hour; %air (kg/s) into the room by infiltration
k164_Rconv_infiltration = 1/(mass_dot_infiltration*cp_air);
% Calculation of ventilation (air exchange in the room due to ventilation) resistance. ACH_infiltration determines the rate
mass_dot_ventilation = (k164_room_volume*rho_air*ACH_ventilation)/hour; %air (kg/s) into the room by infiltration. ACH_ventilation determines the rate
k164_Rconv_ventilation = 1/(mass_dot_ventilation*cp_air);
% xxxx_Rradiator = radiator thermal transmittance in room xxxx
k164_number_of_radiators = 2;
k164_Rradiation_radiator_wall = 1/(htc_rad*A_rad*k164_number_of_radiators);
% xxxx_Rconv_radiator = convective heat tranfer between radiator surface temperature and air
k164_Rprod = (60-20)/(Radiator_heat_effect*k164_number_of_radiators);
k164_Rconv_radiator = k164_Rprod;

%--Calculation of capacitances (heat stored in mass)--
% capasitance of the air in the room
k164_Ca = k164_room_volume*rho_air*cp_air;
% capasitance of the walls
k164_CwN = k164_wallN_volume*rho_external_wall*cp_external_wall;
k164_CwE = k164_wallE_volume*rho_external_wall*cp_external_wall;
k164_CwS = k164_wallS_volume*rho_external_wall*cp_external_wall;
k164_CwW = k164_wallW_volume*rho_internal_wall*cp_internal_wall;
% capasitance of the floor
k164_Cf = k164_floor_volume*rho_floor*cp_floor;
% capasitance of the ceiling
k164_Cc = k164_ceiling_volume*rho_ceiling*cp_ceiling;
%--------------------------------------------------------------------------
